package com.dayou.mapper;

import com.dayou.common.SimpleListModel;
import com.dayou.dto.SimplePostModel;
import com.dayou.entity.UserPost;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 用户岗位 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface UserPostMapper extends CustomBaseMapper<UserPost> {

    List<SimplePostModel> getPostList(@Param("userId") Long userId);

    void saveOrUpdateById(@Param("userPost") UserPost userPost);

    Set<Long> getPostUserId(@Param("juniorPost") Set<Long> juniorPost);

    SimplePostModel getMarketPostList(@Param("userId") Long userId);
}
